{-# LANGUAGE ConstraintKinds #-}
{-# LANGUAGE Safe            #-}
module Bot.DSL
  ( module Bot.DSL.Network
  , module Bot.DSL.State
  , module Bot.DSL.Time
  , MonadBot
  , MonadExtension
  ) where

import           Control.Monad.Logger

import           Bot.DSL.Network
import           Bot.DSL.State
import           Bot.DSL.Time

type MonadBot m = (MonadNetwork m, MonadData m, MonadLogger m, MonadTime m)
type MonadExtension m = (MonadData m, MonadLogger m, MonadTime m)
