{-# LANGUAGE FlexibleContexts #-}
{-# LANGUAGE Safe             #-}
module Bot.Log where

import           Control.Monad.Logger (MonadLogger)
import qualified Control.Monad.Logger as Log
import           Data.Text            (Text)
import           GHC.Stack

logInfo :: (HasCallStack, MonadLogger m) => Text -> m ()
logInfo = Log.logInfoCS callStack

logError :: (HasCallStack, MonadLogger m) => Text -> m ()
logError = Log.logErrorCS callStack
