{ nixpkgs ? import <nixpkgs> {} }:

let
  demobot = nixpkgs.callPackage ./default.nix {};
  shell = nixpkgs.buildEnv {
    name = "demobot-shell";
    paths = [];
    buildInputs = with nixpkgs.haskellPackages; [
      ghcid
      cabal-install
      hasktags
      hlint
      (ghcWithPackages (_: demobot.buildInputs ++ demobot.propagatedBuildInputs))
      nixpkgs.binutils-unwrapped
    ];
  };

in

{
  inherit demobot shell;
}
